package net.educoder.ecsonar.model.api;

/**
 * @Author: youys
 * @Date: 2022/1/17
 * @Description: 质量
 */
public class Quality {

    /**
     * 阻断
     */
    private Integer blocker;
    /**
     * 主要
     */
    private Integer major;
    /**
     * 次要
     */
    private Integer minor;
    /**
     * 严重
     */
    private Integer critical;
    /**
     * 等级 A-E
     */
    private String grade;

    public Quality() {
    }

    /**
     * @param blocker 阻断
     * @param major 主要
     * @param minor 次要
     * @param critical 严重
     * @param grade 等级 A-E
     */
    public Quality(Integer blocker, Integer major, Integer minor, Integer critical, String grade) {
        this.blocker = blocker;
        this.major = major;
        this.minor = minor;
        this.critical = critical;
        this.grade = grade;
    }

    public Integer getBlocker() {
        return blocker;
    }

    public void setBlocker(Integer blocker) {
        this.blocker = blocker;
    }

    public Integer getMajor() {
        return major;
    }

    public void setMajor(Integer major) {
        this.major = major;
    }

    public Integer getMinor() {
        return minor;
    }

    public void setMinor(Integer minor) {
        this.minor = minor;
    }

    public Integer getCritical() {
        return critical;
    }

    public void setCritical(Integer critical) {
        this.critical = critical;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }
}
